Page MenuHomePhabricator

hg-core: minor code style change (D8958#inline-14993 followup)
ClosedPublic

Authored by acezar on Sep 25 2020, 5:06 AM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Sep 25 2020, 5:06 AM
pulkit requested changes to this revision.Sep 28 2020, 2:17 AM
pulkit added a subscriber: pulkit.

hg-core: D8958 followup

Seems like that patch is pushed and public now. Hence we cannot amend this into that. Can you update the patch with commit description describing what it's doing? Also, I maybe wrong but it seems like this patch is doing multiple things at once.

This revision now requires changes to proceed.Sep 28 2020, 2:17 AM
acezar retitled this revision from hg-core: D8958 followup to hg-core: minor code style change (D8958#inline-14993 followup).Sep 28 2020, 9:47 AM
acezar updated this revision to Diff 22880.
Alphare accepted this revision.Sep 28 2020, 10:06 AM

Need to go through the patches, but thanks a lot for splitting and sending all these individual patches. It will make reviewing a cakewalk.

martinvonz added inline comments.
rust/hg-core/src/revlog/index.rs
24

I'll change this to offset + INDEX_ENTRY_SIZE in flight. I hope you don't mind. I find that more natural, and it's what I suggested in the previous, and it matches line 26.

acezar updated this revision to Diff 22920.Sep 29 2020, 1:23 PM
acezar marked an inline comment as done.Sep 29 2020, 1:24 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.